Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000705 [1003.1(2013)/Issue7+TC1] Shell and Utilities Objection Clarification Requested 2013-05-31 18:14 2015-08-07 14:14
Reporter jilles View Status public  
Assigned To
Priority normal Resolution Accepted  
Status Resolved  
Name Jilles Tjoelker
Organization FreeBSD
User Reference
Section XCU 1.6
Page Number 2318
Line Number 73547
Interp Status ---
Final Accepted Text
Summary 0000705: Add hash, type and ulimit to regular built-in utilities
Description Like cd, getopts, read, umask and wait, the utilities hash, type and ulimit are most simply implemented within the shell. hash reports on or modifies a list within the shell environment. type may report on aliases and functions only known within the shell environment. ulimit may modify a process property which would not affect the shell if it were to be done in a child process.

Note that the current standard requires that hash, type and ulimit be exec'able (the latter two only for XSI implementations).
Desired Action Add hash, type and ulimit to the table in XCU 1.6 and the table in XCU 2.9.1.1 1.c.

hash is in the base, while type and ulimit are under the XSI option and may thus require shading.
Tags tc2-2008
Attached Files

- Relationships
related to 0000854Interpretation Required requirement for additional built-in utilities to be searched for via $PATH was not and is not existing practice 

-  Notes
(0002783)
geoffclare (manager)
2015-08-07 14:14

For the record, when doing the TC2 merge I have had to use a different solution for 2.9.1.1 since it is not possible to shade entries in a table. I have added hash to the table and altered the introductory text to mention type and ulimit:

If the command name matches the name [XSI]of the type or ulimit utility, or[/XSI] of a utility listed in the following table, that utility shall be invoked.

In 1.6 I have added all three to the table - I don't believe type and ulimit need shading there.

- Issue History
Date Modified Username Field Change
2013-05-31 18:14 jilles New Issue
2013-05-31 18:14 jilles Name => Jilles Tjoelker
2013-05-31 18:14 jilles Organization => FreeBSD
2013-05-31 18:14 jilles Section => XCU 1.6
2013-05-31 18:14 jilles Page Number => 2318
2013-05-31 18:14 jilles Line Number => 73547
2013-06-13 16:16 msbrown Interp Status => ---
2013-06-13 16:16 msbrown Status New => Resolved
2013-06-13 16:16 msbrown Resolution Open => Accepted
2013-06-13 16:16 msbrown Tag Attached: tc2-2008
2015-08-07 14:14 geoffclare Note Added: 0002783
2016-01-13 15:52 eblake Relationship added related to 0000854


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker